Trouble installing the development environment

classic Classic list List threaded Threaded
17 messages Options
Reply | Threaded
Open this post in threaded view
|

Trouble installing the development environment

Marién Soria
Hey guys!
I'm installing the environment to develop inkscape on my desktop. I'm following this guide https://inkscape.org/en/develop/getting-started/ but when I try to install the libraries on my linux system with this command:
sudo apt-get build-dep inkscape
the terminal responds:
You must to provide some URIs to the sources.list
What should I do?

------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Inkscape-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/inkscape-devel
Reply | Threaded
Open this post in threaded view
|

Re: Trouble installing the development environment

Inkscape - Dev mailing list
On Tue, 24 Jul 2018 00:24:29 -0300
Marién Soria <[hidden email]> wrote:

> when I try to install the libraries on my linux system with this
> command:
>
>     sudo apt-get build-dep inkscape
>
> the terminal responds:
>
>     You must to provide some URIs to the sources.list
>
> What should I do?

    $ grep 'deb ' /etc/apt/sources.list
    deb       http://ftp.us.debian.org/debian/   stable           main contrib non-free
    deb       http://ftp.us.debian.org/debian/   testing          main contrib non-free
    deb       http://ftp.us.debian.org/debian/   unstable         main contrib non-free
    deb       http://ftp.us.debian.org/debian/   experimental     main
    deb       http://ftp.us.debian.org/debian/   stable-updates   main contrib non-free
    deb       http://security.debian.org/        stable/updates   main contrib non-free


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Inkscape-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/inkscape-devel
Reply | Threaded
Open this post in threaded view
|

Re: Trouble installing the development environment

Marc Jeanmougin
I think you should add the deb-src lines to sources.list


On 07/24/2018 05:41 AM, ian_bruce--- via Inkscape-devel wrote:

> On Tue, 24 Jul 2018 00:24:29 -0300
> Marién Soria <[hidden email]> wrote:
>
>> when I try to install the libraries on my linux system with this
>> command:
>>
>>      sudo apt-get build-dep inkscape
>>
>> the terminal responds:
>>
>>      You must to provide some URIs to the sources.list
>>
>> What should I do?
>      $ grep 'deb ' /etc/apt/sources.list
>      deb       http://ftp.us.debian.org/debian/   stable           main contrib non-free
>      deb       http://ftp.us.debian.org/debian/   testing          main contrib non-free
>      deb       http://ftp.us.debian.org/debian/   unstable         main contrib non-free
>      deb       http://ftp.us.debian.org/debian/   experimental     main
>      deb       http://ftp.us.debian.org/debian/   stable-updates   main contrib non-free
>      deb       http://security.debian.org/        stable/updates   main contrib non-free
>
>
> ------------------------------------------------------------------------------
> Check out the vibrant tech community on one of the world's most
> engaging tech sites, Slashdot.org! http://sdm.link/slashdot
> _______________________________________________
> Inkscape-devel mailing list
> [hidden email]
> https://lists.sourceforge.net/lists/listinfo/inkscape-devel


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Inkscape-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/inkscape-devel
Reply | Threaded
Open this post in threaded view
|

Re: Trouble installing the development environment

Inkscape - Dev mailing list
On Tue, 24 Jul 2018 12:40:01 +0200
Marc Jeanmougin <[hidden email]> wrote:

> I think you should add the deb-src lines to sources.list

Is that really necessary? Presumably, the various "-dev" packages are
what's needed for compilation.


    $ grep deb-src /etc/apt/sources.list
    deb-src   http://ftp.us.debian.org/debian/   stable           main
    deb-src   http://ftp.us.debian.org/debian/   testing          main
    deb-src   http://ftp.us.debian.org/debian/   unstable         main
    deb-src   http://ftp.us.debian.org/debian/   experimental     main
    deb-src   http://ftp.us.debian.org/debian/   stable-updates   main
    deb-src   http://security.debian.org/        stable/updates   main

------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Inkscape-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/inkscape-devel
Reply | Threaded
Open this post in threaded view
|

Re: Trouble installing the development environment

objarni
Whatever the answer is - please update the home page/wiki instructions for this.



Den tis 24 juli 2018 13:28ian_bruce--- via Inkscape-devel <[hidden email]> skrev:
On Tue, 24 Jul 2018 12:40:01 +0200
Marc Jeanmougin <[hidden email]> wrote:

> I think you should add the deb-src lines to sources.list

Is that really necessary? Presumably, the various "-dev" packages are
what's needed for compilation.


    $ grep deb-src /etc/apt/sources.list
    deb-src   http://ftp.us.debian.org/debian/   stable           main
    deb-src   http://ftp.us.debian.org/debian/   testing          main
    deb-src   http://ftp.us.debian.org/debian/   unstable         main
    deb-src   http://ftp.us.debian.org/debian/   experimental     main
    deb-src   http://ftp.us.debian.org/debian/   stable-updates   main
    deb-src   http://security.debian.org/        stable/updates   main

------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Inkscape-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/inkscape-devel

------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Inkscape-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/inkscape-devel
Reply | Threaded
Open this post in threaded view
|

Re: Trouble installing the development environment

Antonio Ospite
In reply to this post by Inkscape - Dev mailing list
On Tue, 24 Jul 2018 04:26:26 -0700
ian_bruce--- via Inkscape-devel <[hidden email]>
wrote:

> On Tue, 24 Jul 2018 12:40:01 +0200
> Marc Jeanmougin <[hidden email]> wrote:
>
> > I think you should add the deb-src lines to sources.list
>
> Is that really necessary? Presumably, the various "-dev" packages are
> what's needed for compilation.
>
>
>     $ grep deb-src /etc/apt/sources.list
>     deb-src   http://ftp.us.debian.org/debian/   stable           main
>     deb-src   http://ftp.us.debian.org/debian/   testing          main
>     deb-src   http://ftp.us.debian.org/debian/   unstable         main
>     deb-src   http://ftp.us.debian.org/debian/   experimental     main
>     deb-src   http://ftp.us.debian.org/debian/   stable-updates   main
>     deb-src   http://security.debian.org/        stable/updates   main
>

As you know deb-src repositories are for sources of Debian packages, not
for sources of upstream software.

In theory `apt-get build-depend` should not require any source Debian
packages, but it surely needs the info about the "inkscape" source
package, maybe this is why deb-src repositories are necessary.

What does "apt-cache showsrc inkscape" tell when no deb-src URLs are
configured?

Moreover, AFAIU, it also happens that some packages build-depend on
other "source packages" instead of the single -dev ones, just for a
matter of convenience.

That said, in any case be sure of two things:
  1. always have an update package cache (apt-get update)
  2. check that having multiple debian releases (stable, testing,
     unstable) at the same time do not result in conflicts. If these are
     _really_ needed set up pinning appropriately (man apt_preferences).

Ciao,
   Antonio

--
Antonio Ospite
https://ao2.it
https://twitter.com/ao2it

A: Because it messes up the order in which people normally read text.
   See http://en.wikipedia.org/wiki/Posting_style
Q: Why is top-posting such a bad thing?

------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Inkscape-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/inkscape-devel
Reply | Threaded
Open this post in threaded view
|

Re: Trouble installing the development environment

Marién Soria
grep 'deb ' /etc/apt/sources.list
# deb cdrom:[Ubuntu 16.04 LTS _Xenial Xerus_ - Release amd64 (20160420.1)]/ xenial main restricted
deb http://br.archive.ubuntu.com/ubuntu/ xenial main restricted
deb http://br.archive.ubuntu.com/ubuntu/ xenial-updates main restricted
deb http://br.archive.ubuntu.com/ubuntu/ xenial-updates universe
deb http://br.archive.ubuntu.com/ubuntu/ xenial-updates multiverse
deb http://br.archive.ubuntu.com/ubuntu/ xenial-backports main restricted universe multiverse
deb http://security.ubuntu.com/ubuntu xenial-security main restricted
deb http://security.ubuntu.com/ubuntu xenial-security universe
deb http://security.ubuntu.com/ubuntu xenial-security multiverse

-----------------------------------------
apt-cache showsrc inkscape
E: You must provide some URIs to the source.list



El mar., 24 de jul. de 2018 a la(s) 10:28, Antonio Ospite ([hidden email]) escribió:
On Tue, 24 Jul 2018 04:26:26 -0700
ian_bruce--- via Inkscape-devel <[hidden email]>
wrote:

> On Tue, 24 Jul 2018 12:40:01 +0200
> Marc Jeanmougin <[hidden email]> wrote:
>
> > I think you should add the deb-src lines to sources.list
>
> Is that really necessary? Presumably, the various "-dev" packages are
> what's needed for compilation.
>
>
>     $ grep deb-src /etc/apt/sources.list
>     deb-src   http://ftp.us.debian.org/debian/   stable           main
>     deb-src   http://ftp.us.debian.org/debian/   testing          main
>     deb-src   http://ftp.us.debian.org/debian/   unstable         main
>     deb-src   http://ftp.us.debian.org/debian/   experimental     main
>     deb-src   http://ftp.us.debian.org/debian/   stable-updates   main
>     deb-src   http://security.debian.org/        stable/updates   main
>

As you know deb-src repositories are for sources of Debian packages, not
for sources of upstream software.

In theory `apt-get build-depend` should not require any source Debian
packages, but it surely needs the info about the "inkscape" source
package, maybe this is why deb-src repositories are necessary.

What does "apt-cache showsrc inkscape" tell when no deb-src URLs are
configured?

Moreover, AFAIU, it also happens that some packages build-depend on
other "source packages" instead of the single -dev ones, just for a
matter of convenience.

That said, in any case be sure of two things:
  1. always have an update package cache (apt-get update)
  2. check that having multiple debian releases (stable, testing,
     unstable) at the same time do not result in conflicts. If these are
     _really_ needed set up pinning appropriately (man apt_preferences).

Ciao,
   Antonio

--
Antonio Ospite
https://ao2.it
https://twitter.com/ao2it

A: Because it messes up the order in which people normally read text.
   See http://en.wikipedia.org/wiki/Posting_style
Q: Why is top-posting such a bad thing?

------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Inkscape-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/inkscape-devel

------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Inkscape-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/inkscape-devel
Reply | Threaded
Open this post in threaded view
|

Re: Trouble installing the development environment

Marién Soria
Ok guys, now I'm following this another guide http://wiki.inkscape.org/wiki/index.php/CompilingUbuntu
I need to know if these dependencies are old.

El mié., 25 de jul. de 2018 a la(s) 12:57, Marién Soria ([hidden email]) escribió:
grep 'deb ' /etc/apt/sources.list
# deb cdrom:[Ubuntu 16.04 LTS _Xenial Xerus_ - Release amd64 (20160420.1)]/ xenial main restricted
deb http://br.archive.ubuntu.com/ubuntu/ xenial main restricted
deb http://br.archive.ubuntu.com/ubuntu/ xenial-updates main restricted
deb http://br.archive.ubuntu.com/ubuntu/ xenial-updates universe
deb http://br.archive.ubuntu.com/ubuntu/ xenial-updates multiverse
deb http://br.archive.ubuntu.com/ubuntu/ xenial-backports main restricted universe multiverse
deb http://security.ubuntu.com/ubuntu xenial-security main restricted
deb http://security.ubuntu.com/ubuntu xenial-security universe
deb http://security.ubuntu.com/ubuntu xenial-security multiverse

-----------------------------------------
apt-cache showsrc inkscape
E: You must provide some URIs to the source.list



El mar., 24 de jul. de 2018 a la(s) 10:28, Antonio Ospite ([hidden email]) escribió:
On Tue, 24 Jul 2018 04:26:26 -0700
ian_bruce--- via Inkscape-devel <[hidden email]>
wrote:

> On Tue, 24 Jul 2018 12:40:01 +0200
> Marc Jeanmougin <[hidden email]> wrote:
>
> > I think you should add the deb-src lines to sources.list
>
> Is that really necessary? Presumably, the various "-dev" packages are
> what's needed for compilation.
>
>
>     $ grep deb-src /etc/apt/sources.list
>     deb-src   http://ftp.us.debian.org/debian/   stable           main
>     deb-src   http://ftp.us.debian.org/debian/   testing          main
>     deb-src   http://ftp.us.debian.org/debian/   unstable         main
>     deb-src   http://ftp.us.debian.org/debian/   experimental     main
>     deb-src   http://ftp.us.debian.org/debian/   stable-updates   main
>     deb-src   http://security.debian.org/        stable/updates   main
>

As you know deb-src repositories are for sources of Debian packages, not
for sources of upstream software.

In theory `apt-get build-depend` should not require any source Debian
packages, but it surely needs the info about the "inkscape" source
package, maybe this is why deb-src repositories are necessary.

What does "apt-cache showsrc inkscape" tell when no deb-src URLs are
configured?

Moreover, AFAIU, it also happens that some packages build-depend on
other "source packages" instead of the single -dev ones, just for a
matter of convenience.

That said, in any case be sure of two things:
  1. always have an update package cache (apt-get update)
  2. check that having multiple debian releases (stable, testing,
     unstable) at the same time do not result in conflicts. If these are
     _really_ needed set up pinning appropriately (man apt_preferences).

Ciao,
   Antonio

--
Antonio Ospite
https://ao2.it
https://twitter.com/ao2it

A: Because it messes up the order in which people normally read text.
   See http://en.wikipedia.org/wiki/Posting_style
Q: Why is top-posting such a bad thing?

------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Inkscape-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/inkscape-devel

------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Inkscape-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/inkscape-devel
Reply | Threaded
Open this post in threaded view
|

Re: Trouble installing the development environment

Maren Hachmann
Maybe you want to try this:

https://gitlab.com/Moini/make_ink

Maren

Am 25.07.2018 um 20:00 schrieb Marién Soria:

> Ok guys, now I'm following this another
> guide http://wiki.inkscape.org/wiki/index.php/CompilingUbuntu
> I need to know if these dependencies are old.
>
> El mié., 25 de jul. de 2018 a la(s) 12:57, Marién Soria
> ([hidden email] <mailto:[hidden email]>) escribió:
>
>     *grep 'deb ' /etc/apt/sources.list*
>     # deb cdrom:[Ubuntu 16.04 LTS _Xenial Xerus_ - Release amd64
>     (20160420.1)]/ xenial main restricted
>     deb http://br.archive.ubuntu.com/ubuntu/ xenial main restricted
>     deb http://br.archive.ubuntu.com/ubuntu/ xenial-updates main restricted
>     deb http://br.archive.ubuntu.com/ubuntu/ xenial universe
>     deb http://br.archive.ubuntu.com/ubuntu/ xenial-updates universe
>     deb http://br.archive.ubuntu.com/ubuntu/ xenial multiverse
>     deb http://br.archive.ubuntu.com/ubuntu/ xenial-updates multiverse
>     deb http://br.archive.ubuntu.com/ubuntu/ xenial-backports main
>     restricted universe multiverse
>     # deb http://archive.canonical.com/ubuntu xenial partner
>     deb http://security.ubuntu.com/ubuntu xenial-security main restricted
>     deb http://security.ubuntu.com/ubuntu xenial-security universe
>     deb http://security.ubuntu.com/ubuntu xenial-security multiverse
>     deb https://cli-assets.heroku.com/branches/stable/apt ./
>
>     -----------------------------------------
>     *apt-cache showsrc inkscape*
>     E: You must provide some URIs to the source.list
>
>
>
>     El mar., 24 de jul. de 2018 a la(s) 10:28, Antonio Ospite
>     ([hidden email] <mailto:[hidden email]>) escribió:
>
>         On Tue, 24 Jul 2018 04:26:26 -0700
>         ian_bruce--- via Inkscape-devel
>         <[hidden email]
>         <mailto:[hidden email]>>
>         wrote:
>
>         > On Tue, 24 Jul 2018 12:40:01 +0200
>         > Marc Jeanmougin <[hidden email]
>         <mailto:[hidden email]>> wrote:
>         >
>         > > I think you should add the deb-src lines to sources.list
>         >
>         > Is that really necessary? Presumably, the various "-dev"
>         packages are
>         > what's needed for compilation.
>         >
>         >
>         >     $ grep deb-src /etc/apt/sources.list
>         >     deb-src   http://ftp.us.debian.org/debian/   stable       
>            main
>         >     deb-src   http://ftp.us.debian.org/debian/   testing     
>             main
>         >     deb-src   http://ftp.us.debian.org/debian/   unstable     
>            main
>         >     deb-src   http://ftp.us.debian.org/debian/   experimental 
>            main
>         >     deb-src   http://ftp.us.debian.org/debian/ 
>          stable-updates   main
>         >     deb-src   http://security.debian.org/       
>         stable/updates   main
>         >
>
>         As you know deb-src repositories are for sources of Debian
>         packages, not
>         for sources of upstream software.
>
>         In theory `apt-get build-depend` should not require any source
>         Debian
>         packages, but it surely needs the info about the "inkscape" source
>         package, maybe this is why deb-src repositories are necessary.
>
>         What does "apt-cache showsrc inkscape" tell when no deb-src URLs are
>         configured?
>
>         Moreover, AFAIU, it also happens that some packages build-depend on
>         other "source packages" instead of the single -dev ones, just for a
>         matter of convenience.
>
>         That said, in any case be sure of two things:
>           1. always have an update package cache (apt-get update)
>           2. check that having multiple debian releases (stable, testing,
>              unstable) at the same time do not result in conflicts. If
>         these are
>              _really_ needed set up pinning appropriately (man
>         apt_preferences).
>
>         Ciao,
>            Antonio
>
>         --
>         Antonio Ospite
>         https://ao2.it
>         https://twitter.com/ao2it
>
>         A: Because it messes up the order in which people normally read
>         text.
>            See http://en.wikipedia.org/wiki/Posting_style
>         Q: Why is top-posting such a bad thing?
>
>         ------------------------------------------------------------------------------
>         Check out the vibrant tech community on one of the world's most
>         engaging tech sites, Slashdot.org! http://sdm.link/slashdot
>         _______________________________________________
>         Inkscape-devel mailing list
>         [hidden email]
>         <mailto:[hidden email]>
>         https://lists.sourceforge.net/lists/listinfo/inkscape-devel
>
>
>
> ------------------------------------------------------------------------------
> Check out the vibrant tech community on one of the world's most
> engaging tech sites, Slashdot.org! http://sdm.link/slashdot
>
>
>
> _______________________________________________
> Inkscape-devel mailing list
> [hidden email]
> https://lists.sourceforge.net/lists/listinfo/inkscape-devel
>


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Inkscape-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/inkscape-devel
Reply | Threaded
Open this post in threaded view
|

Re: Trouble installing the development environment

Marién Soria

Maren that plugin works great! Thanks and Congrats, it's a nice work!
I think it's important to include a link in the development guide.
But now, I have another problem: the init file on the desktop area did't work on Unity, like you mention in the plugin guide. Witch file I have to execute from the folder?


El jul 25, 2018 5:03 PM, "Maren Hachmann" <[hidden email]> escribió:
Maybe you want to try this:

https://gitlab.com/Moini/make_ink

Maren


Am 25.07.2018 um 20:00 schrieb Marién Soria:
> Ok guys, now I'm following this another
> guide http://wiki.inkscape.org/wiki/index.php/CompilingUbuntu
> I need to know if these dependencies are old.
>
> El mié., 25 de jul. de 2018 a la(s) 12:57, Marién Soria
> ([hidden email] <mailto:[hidden email]>) escribió:
>
>     *grep 'deb ' /etc/apt/sources.list*

>     # deb cdrom:[Ubuntu 16.04 LTS _Xenial Xerus_ - Release amd64
>     (20160420.1)]/ xenial main restricted
>     deb http://br.archive.ubuntu.com/ubuntu/ xenial main restricted
>     deb http://br.archive.ubuntu.com/ubuntu/ xenial-updates main restricted
>     deb http://br.archive.ubuntu.com/ubuntu/ xenial universe
>     deb http://br.archive.ubuntu.com/ubuntu/ xenial-updates universe
>     deb http://br.archive.ubuntu.com/ubuntu/ xenial multiverse
>     deb http://br.archive.ubuntu.com/ubuntu/ xenial-updates multiverse
>     deb http://br.archive.ubuntu.com/ubuntu/ xenial-backports main
>     restricted universe multiverse
>     # deb http://archive.canonical.com/ubuntu xenial partner
>     deb http://security.ubuntu.com/ubuntu xenial-security main restricted
>     deb http://security.ubuntu.com/ubuntu xenial-security universe
>     deb http://security.ubuntu.com/ubuntu xenial-security multiverse
>     deb https://cli-assets.heroku.com/branches/stable/apt ./
>
>     -----------------------------------------
>     *apt-cache showsrc inkscape*

>     E: You must provide some URIs to the source.list
>
>
>
>     El mar., 24 de jul. de 2018 a la(s) 10:28, Antonio Ospite
>     ([hidden email] <mailto:[hidden email]>) escribió:

>
>         On Tue, 24 Jul 2018 04:26:26 -0700
>         ian_bruce--- via Inkscape-devel
>         <[hidden email]
>         <mailto:[hidden email]>>

>         wrote:
>
>         > On Tue, 24 Jul 2018 12:40:01 +0200
>         > Marc Jeanmougin <[hidden email]
>         <mailto:[hidden email]>> wrote:
>         >
>         > > I think you should add the deb-src lines to sources.list
>         >
>         > Is that really necessary? Presumably, the various "-dev"
>         packages are
>         > what's needed for compilation.
>         >
>         >
>         >     $ grep deb-src /etc/apt/sources.list
>         >     deb-src   http://ftp.us.debian.org/debian/   stable       
>            main
>         >     deb-src   http://ftp.us.debian.org/debian/   testing     
>             main
>         >     deb-src   http://ftp.us.debian.org/debian/   unstable     
>            main
>         >     deb-src   http://ftp.us.debian.org/debian/   experimental 
>            main
>         >     deb-src   http://ftp.us.debian.org/debian/ 
>          stable-updates   main
>         >     deb-src   http://security.debian.org/       
>         stable/updates   main
>         >
>
>         As you know deb-src repositories are for sources of Debian
>         packages, not
>         for sources of upstream software.
>
>         In theory `apt-get build-depend` should not require any source
>         Debian
>         packages, but it surely needs the info about the "inkscape" source
>         package, maybe this is why deb-src repositories are necessary.
>
>         What does "apt-cache showsrc inkscape" tell when no deb-src URLs are
>         configured?
>
>         Moreover, AFAIU, it also happens that some packages build-depend on
>         other "source packages" instead of the single -dev ones, just for a
>         matter of convenience.
>
>         That said, in any case be sure of two things:
>           1. always have an update package cache (apt-get update)
>           2. check that having multiple debian releases (stable, testing,
>              unstable) at the same time do not result in conflicts. If
>         these are
>              _really_ needed set up pinning appropriately (man
>         apt_preferences).
>
>         Ciao,
>            Antonio
>
>         --
>         Antonio Ospite
>         https://ao2.it
>         https://twitter.com/ao2it
>
>         A: Because it messes up the order in which people normally read
>         text.
>            See http://en.wikipedia.org/wiki/Posting_style
>         Q: Why is top-posting such a bad thing?
>
>         ------------------------------------------------------------------------------
>         Check out the vibrant tech community on one of the world's most
>         engaging tech sites, Slashdot.org! http://sdm.link/slashdot
>         _______________________________________________
>         Inkscape-devel mailing list
>         [hidden email]
>         <mailto:[hidden email]>
>         https://lists.sourceforge.net/lists/listinfo/inkscape-devel

>
>
>
> ------------------------------------------------------------------------------
> Check out the vibrant tech community on one of the world's most
> engaging tech sites, Slashdot.org! http://sdm.link/slashdot
>
>
>
> _______________________________________________
> Inkscape-devel mailing list
> [hidden email]
> https://lists.sourceforge.net/lists/listinfo/inkscape-devel
>


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Inkscape-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/inkscape-devel


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Inkscape-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/inkscape-devel
Reply | Threaded
Open this post in threaded view
|

Re: Trouble installing the development environment

Jabier Arraiza
Moini this script create a custom folder and can be used with 0.92
together?

Regards.

-----Original Message-----
From: Marién Soria <[hidden email]>
To: Maren Hachmann <[hidden email]>
Cc: Inkscape-Devel <[hidden email]>
Subject: Re: [Inkscape-devel] Trouble installing the development
environment
Date: Thu, 26 Jul 2018 02:26:12 -0300

Maren that plugin works great! Thanks and Congrats, it's a nice work!
I think it's important to include a link in the development guide.
But now, I have another problem: the init file on the desktop area
did't
work on Unity, like you mention in the plugin guide. Witch file I have
to
execute from the folder?

El jul 25, 2018 5:03 PM, "Maren Hachmann" <[hidden email]>
escribió:

Maybe you want to try this:

https://gitlab.com/Moini/make_ink

Maren


Am 25.07.2018 um 20:00 schrieb Marién Soria:

> Ok guys, now I'm following this another
> guide http://wiki.inkscape.org/wiki/index.php/CompilingUbuntu
> I need to know if these dependencies are old.
>
> El mié., 25 de jul. de 2018 a la(s) 12:57, Marién Soria
> ([hidden email] <mailto:[hidden email]>)
> escribió:
>
>     *grep 'deb ' /etc/apt/sources.list*
>     # deb cdrom:[Ubuntu 16.04 LTS _Xenial Xerus_ - Release amd64
>     (20160420.1)]/ xenial main restricted
>     deb http://br.archive.ubuntu.com/ubuntu/ xenial main restricted
>     deb http://br.archive.ubuntu.com/ubuntu/ xenial-updates main
restricted

>     deb http://br.archive.ubuntu.com/ubuntu/ xenial universe
>     deb http://br.archive.ubuntu.com/ubuntu/ xenial-updates universe
>     deb http://br.archive.ubuntu.com/ubuntu/ xenial multiverse
>     deb http://br.archive.ubuntu.com/ubuntu/ xenial-updates
> multiverse
>     deb http://br.archive.ubuntu.com/ubuntu/ xenial-backports main
>     restricted universe multiverse
>     # deb http://archive.canonical.com/ubuntu xenial partner
>     deb http://security.ubuntu.com/ubuntu xenial-security main
> restricted
>     deb http://security.ubuntu.com/ubuntu xenial-security universe
>     deb http://security.ubuntu.com/ubuntu xenial-security multiverse
>     deb https://cli-assets.heroku.com/branches/stable/apt ./
>
>     -----------------------------------------
>     *apt-cache showsrc inkscape*
>     E: You must provide some URIs to the source.list
>
>
>
>     El mar., 24 de jul. de 2018 a la(s) 10:28, Antonio Ospite
>     ([hidden email] <mailto:[hidden email]>) escribió:
>
>         On Tue, 24 Jul 2018 04:26:26 -0700
>         ian_bruce--- via Inkscape-devel
>         <[hidden email]
>         <mailto:[hidden email]>>
>         wrote:
>
>         > On Tue, 24 Jul 2018 12:40:01 +0200
>         > Marc Jeanmougin <[hidden email]
>         <mailto:[hidden email]>> wrote:
>         >
>         > > I think you should add the deb-src lines to sources.list
>         >
>         > Is that really necessary? Presumably, the various "-dev"
>         packages are
>         > what's needed for compilation.
>         >
>         >
>         >     $ grep deb-src /etc/apt/sources.list
>         >     deb-src   http://ftp.us.debian.org/debian/   stable
>            main
>         >     deb-src   http://ftp.us.debian.org/debian/   testing
>             main
>         >     deb-src   http://ftp.us.debian.org/debian/   unstable
>            main
>         >     deb-src   http://ftp.us.debian.org/debian/   experiment
> al
>            main
>         >     deb-src   http://ftp.us.debian.org/debian/
>          stable-updates   main
>         >     deb-src   http://security.debian.org/
>         stable/updates   main
>         >
>
>         As you know deb-src repositories are for sources of Debian
>         packages, not
>         for sources of upstream software.
>
>         In theory `apt-get build-depend` should not require any
> source
>         Debian
>         packages, but it surely needs the info about the "inkscape"
> source
>         package, maybe this is why deb-src repositories are
> necessary.
>
>         What does "apt-cache showsrc inkscape" tell when no deb-src
> URLs
are
>         configured?
>
>         Moreover, AFAIU, it also happens that some packages build-
> depend

on
>         other "source packages" instead of the single -dev ones, just
> for

a

>         matter of convenience.
>
>         That said, in any case be sure of two things:
>           1. always have an update package cache (apt-get update)
>           2. check that having multiple debian releases (stable,
> testing,
>              unstable) at the same time do not result in conflicts.
> If
>         these are
>              _really_ needed set up pinning appropriately (man
>         apt_preferences).
>
>         Ciao,
>            Antonio
>
>         --
>         Antonio Ospite
>         https://ao2.it
>         https://twitter.com/ao2it
>
>         A: Because it messes up the order in which people normally
> read
>         text.
>            See http://en.wikipedia.org/wiki/Posting_style
>         Q: Why is top-posting such a bad thing?
>
>
 --------------------------------------------------------------------
----------

>         Check out the vibrant tech community on one of the world's
> most
>         engaging tech sites, Slashdot.org! http://sdm.link/slashdot
>         _______________________________________________
>         Inkscape-devel mailing list
>         [hidden email]
>         <mailto:[hidden email]>
>         https://lists.sourceforge.net/lists/listinfo/inkscape-devel
>
>
>
>
---------------------------------------------------------------------
---------

> Check out the vibrant tech community on one of the world's most
> engaging tech sites, Slashdot.org! http://sdm.link/slashdot
>
>
>
> _______________________________________________
> Inkscape-devel mailing list
> [hidden email]
> https://lists.sourceforge.net/lists/listinfo/inkscape-devel
>

---------------------------------------------------------------------
---------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Inkscape-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/inkscape-devel
---------------------------------------------------------------------
---------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Inkscape-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/inkscape-devel
------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Inkscape-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/inkscape-devel

signature.asc (849 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: Trouble installing the development environment

Jabier Arraiza
I see inside :)
Thanks for the script.

-----Original Message-----
From: Jabier Arraiza <[hidden email]>
Reply-To: [hidden email]
To: Marién Soria <[hidden email]>, Maren Hachmann <maren@goo
s-habermann.de>
Cc: Inkscape-Devel <[hidden email]>
Subject: Re: [Inkscape-devel] Trouble installing the development
environment
Date: Thu, 26 Jul 2018 09:10:28 +0200

Moini this script create a custom folder and can be used with 0.92
together?

Regards.

-----Original Message-----
From: Marién Soria <[hidden email]>
To: Maren Hachmann <[hidden email]>
Cc: Inkscape-Devel <[hidden email]>
Subject: Re: [Inkscape-devel] Trouble installing the development
environment
Date: Thu, 26 Jul 2018 02:26:12 -0300

Maren that plugin works great! Thanks and Congrats, it's a nice work!
I think it's important to include a link in the development guide.
But now, I have another problem: the init file on the desktop area
did't
work on Unity, like you mention in the plugin guide. Witch file I have
to
execute from the folder?

El jul 25, 2018 5:03 PM, "Maren Hachmann" <[hidden email]>
escribió:

Maybe you want to try this:

https://gitlab.com/Moini/make_ink

Maren


Am 25.07.2018 um 20:00 schrieb Marién Soria:

> Ok guys, now I'm following this another
> guide http://wiki.inkscape.org/wiki/index.php/CompilingUbuntu
> I need to know if these dependencies are old.
>
> El mié., 25 de jul. de 2018 a la(s) 12:57, Marién Soria
> ([hidden email] <mailto:[hidden email]>)
> escribió:
>
>     *grep 'deb ' /etc/apt/sources.list*
>     # deb cdrom:[Ubuntu 16.04 LTS _Xenial Xerus_ - Release amd64
>     (20160420.1)]/ xenial main restricted
>     deb http://br.archive.ubuntu.com/ubuntu/ xenial main restricted
>     deb http://br.archive.ubuntu.com/ubuntu/ xenial-updates main
restricted

>     deb http://br.archive.ubuntu.com/ubuntu/ xenial universe
>     deb http://br.archive.ubuntu.com/ubuntu/ xenial-updates universe
>     deb http://br.archive.ubuntu.com/ubuntu/ xenial multiverse
>     deb http://br.archive.ubuntu.com/ubuntu/ xenial-updates
> multiverse
>     deb http://br.archive.ubuntu.com/ubuntu/ xenial-backports main
>     restricted universe multiverse
>     # deb http://archive.canonical.com/ubuntu xenial partner
>     deb http://security.ubuntu.com/ubuntu xenial-security main
> restricted
>     deb http://security.ubuntu.com/ubuntu xenial-security universe
>     deb http://security.ubuntu.com/ubuntu xenial-security multiverse
>     deb https://cli-assets.heroku.com/branches/stable/apt ./
>
>     -----------------------------------------
>     *apt-cache showsrc inkscape*
>     E: You must provide some URIs to the source.list
>
>
>
>     El mar., 24 de jul. de 2018 a la(s) 10:28, Antonio Ospite
>     ([hidden email] <mailto:[hidden email]>) escribió:
>
>         On Tue, 24 Jul 2018 04:26:26 -0700
>         ian_bruce--- via Inkscape-devel
>         <[hidden email]
>         <mailto:[hidden email]>>
>         wrote:
>
>         > On Tue, 24 Jul 2018 12:40:01 +0200
>         > Marc Jeanmougin <[hidden email]
>         <mailto:[hidden email]>> wrote:
>         >
>         > > I think you should add the deb-src lines to sources.list
>         >
>         > Is that really necessary? Presumably, the various "-dev"
>         packages are
>         > what's needed for compilation.
>         >
>         >
>         >     $ grep deb-src /etc/apt/sources.list
>         >     deb-src   http://ftp.us.debian.org/debian/   stable
>            main
>         >     deb-src   http://ftp.us.debian.org/debian/   testing
>             main
>         >     deb-src   http://ftp.us.debian.org/debian/   unstable
>            main
>         >     deb-src   http://ftp.us.debian.org/debian/   experiment
> al
>            main
>         >     deb-src   http://ftp.us.debian.org/debian/
>          stable-updates   main
>         >     deb-src   http://security.debian.org/
>         stable/updates   main
>         >
>
>         As you know deb-src repositories are for sources of Debian
>         packages, not
>         for sources of upstream software.
>
>         In theory `apt-get build-depend` should not require any
> source
>         Debian
>         packages, but it surely needs the info about the "inkscape"
> source
>         package, maybe this is why deb-src repositories are
> necessary.
>
>         What does "apt-cache showsrc inkscape" tell when no deb-src
> URLs
are
>         configured?
>
>         Moreover, AFAIU, it also happens that some packages build-
> depend

on
>         other "source packages" instead of the single -dev ones, just
> for

a

>         matter of convenience.
>
>         That said, in any case be sure of two things:
>           1. always have an update package cache (apt-get update)
>           2. check that having multiple debian releases (stable,
> testing,
>              unstable) at the same time do not result in conflicts.
> If
>         these are
>              _really_ needed set up pinning appropriately (man
>         apt_preferences).
>
>         Ciao,
>            Antonio
>
>         --
>         Antonio Ospite
>         https://ao2.it
>         https://twitter.com/ao2it
>
>         A: Because it messes up the order in which people normally
> read
>         text.
>            See http://en.wikipedia.org/wiki/Posting_style
>         Q: Why is top-posting such a bad thing?
>
>
 --------------------------------------------------------------------
----------

>         Check out the vibrant tech community on one of the world's
> most
>         engaging tech sites, Slashdot.org! http://sdm.link/slashdot
>         _______________________________________________
>         Inkscape-devel mailing list
>         [hidden email]
>         <mailto:[hidden email]>
>         https://lists.sourceforge.net/lists/listinfo/inkscape-devel
>
>
>
>
---------------------------------------------------------------------
---------

> Check out the vibrant tech community on one of the world's most
> engaging tech sites, Slashdot.org! http://sdm.link/slashdot
>
>
>
> _______________________________________________
> Inkscape-devel mailing list
> [hidden email]
> https://lists.sourceforge.net/lists/listinfo/inkscape-devel
>

---------------------------------------------------------------------
---------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Inkscape-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/inkscape-devel
---------------------------------------------------------------------
---------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Inkscape-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/inkscape-devel
---------------------------------------------------------------------
---------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Inkscape-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/inkscape-devel
------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Inkscape-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/inkscape-devel

signature.asc (849 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: Trouble installing the development environment

Jabier Arraiza
@Moini: The script support source code update if you rerun the script?

Regards, Jabier.

-----Original Message-----
From: Jabier Arraiza <[hidden email]>
Reply-To: [hidden email]
To: Marién Soria <[hidden email]>, Maren Hachmann <maren@goo
s-habermann.de>
Cc: Inkscape-Devel <[hidden email]>
Subject: Re: [Inkscape-devel] Trouble installing the development
environment
Date: Thu, 26 Jul 2018 09:13:59 +0200

I see inside :)
Thanks for the script.

-----Original Message-----
From: Jabier Arraiza <[hidden email]>
Reply-To: [hidden email]
To: Marién Soria <[hidden email]>, Maren Hachmann <maren@goo
s-habermann.de>
Cc: Inkscape-Devel <[hidden email]>
Subject: Re: [Inkscape-devel] Trouble installing the development
environment
Date: Thu, 26 Jul 2018 09:10:28 +0200

Moini this script create a custom folder and can be used with 0.92
together?

Regards.

-----Original Message-----
From: Marién Soria <[hidden email]>
To: Maren Hachmann <[hidden email]>
Cc: Inkscape-Devel <[hidden email]>
Subject: Re: [Inkscape-devel] Trouble installing the development
environment
Date: Thu, 26 Jul 2018 02:26:12 -0300

Maren that plugin works great! Thanks and Congrats, it's a nice work!
I think it's important to include a link in the development guide.
But now, I have another problem: the init file on the desktop area
did't
work on Unity, like you mention in the plugin guide. Witch file I have
to
execute from the folder?

El jul 25, 2018 5:03 PM, "Maren Hachmann" <[hidden email]>
escribió:

Maybe you want to try this:

https://gitlab.com/Moini/make_ink

Maren


Am 25.07.2018 um 20:00 schrieb Marién Soria:

> Ok guys, now I'm following this another
> guide http://wiki.inkscape.org/wiki/index.php/CompilingUbuntu
> I need to know if these dependencies are old.
>
> El mié., 25 de jul. de 2018 a la(s) 12:57, Marién Soria
> ([hidden email] <mailto:[hidden email]>)
> escribió:
>
>     *grep 'deb ' /etc/apt/sources.list*
>     # deb cdrom:[Ubuntu 16.04 LTS _Xenial Xerus_ - Release amd64
>     (20160420.1)]/ xenial main restricted
>     deb http://br.archive.ubuntu.com/ubuntu/ xenial main restricted
>     deb http://br.archive.ubuntu.com/ubuntu/ xenial-updates main
restricted

>     deb http://br.archive.ubuntu.com/ubuntu/ xenial universe
>     deb http://br.archive.ubuntu.com/ubuntu/ xenial-updates universe
>     deb http://br.archive.ubuntu.com/ubuntu/ xenial multiverse
>     deb http://br.archive.ubuntu.com/ubuntu/ xenial-updates
> multiverse
>     deb http://br.archive.ubuntu.com/ubuntu/ xenial-backports main
>     restricted universe multiverse
>     # deb http://archive.canonical.com/ubuntu xenial partner
>     deb http://security.ubuntu.com/ubuntu xenial-security main
> restricted
>     deb http://security.ubuntu.com/ubuntu xenial-security universe
>     deb http://security.ubuntu.com/ubuntu xenial-security multiverse
>     deb https://cli-assets.heroku.com/branches/stable/apt ./
>
>     -----------------------------------------
>     *apt-cache showsrc inkscape*
>     E: You must provide some URIs to the source.list
>
>
>
>     El mar., 24 de jul. de 2018 a la(s) 10:28, Antonio Ospite
>     ([hidden email] <mailto:[hidden email]>) escribió:
>
>         On Tue, 24 Jul 2018 04:26:26 -0700
>         ian_bruce--- via Inkscape-devel
>         <[hidden email]
>         <mailto:[hidden email]>>
>         wrote:
>
>         > On Tue, 24 Jul 2018 12:40:01 +0200
>         > Marc Jeanmougin <[hidden email]
>         <mailto:[hidden email]>> wrote:
>         >
>         > > I think you should add the deb-src lines to sources.list
>         >
>         > Is that really necessary? Presumably, the various "-dev"
>         packages are
>         > what's needed for compilation.
>         >
>         >
>         >     $ grep deb-src /etc/apt/sources.list
>         >     deb-src   http://ftp.us.debian.org/debian/   stable
>            main
>         >     deb-src   http://ftp.us.debian.org/debian/   testing
>             main
>         >     deb-src   http://ftp.us.debian.org/debian/   unstable
>            main
>         >     deb-src   http://ftp.us.debian.org/debian/   experiment
> al
>            main
>         >     deb-src   http://ftp.us.debian.org/debian/
>          stable-updates   main
>         >     deb-src   http://security.debian.org/
>         stable/updates   main
>         >
>
>         As you know deb-src repositories are for sources of Debian
>         packages, not
>         for sources of upstream software.
>
>         In theory `apt-get build-depend` should not require any
> source
>         Debian
>         packages, but it surely needs the info about the "inkscape"
> source
>         package, maybe this is why deb-src repositories are
> necessary.
>
>         What does "apt-cache showsrc inkscape" tell when no deb-src
> URLs
are
>         configured?
>
>         Moreover, AFAIU, it also happens that some packages build-
> depend

on
>         other "source packages" instead of the single -dev ones, just
> for

a

>         matter of convenience.
>
>         That said, in any case be sure of two things:
>           1. always have an update package cache (apt-get update)
>           2. check that having multiple debian releases (stable,
> testing,
>              unstable) at the same time do not result in conflicts.
> If
>         these are
>              _really_ needed set up pinning appropriately (man
>         apt_preferences).
>
>         Ciao,
>            Antonio
>
>         --
>         Antonio Ospite
>         https://ao2.it
>         https://twitter.com/ao2it
>
>         A: Because it messes up the order in which people normally
> read
>         text.
>            See http://en.wikipedia.org/wiki/Posting_style
>         Q: Why is top-posting such a bad thing?
>
>
 --------------------------------------------------------------------
----------

>         Check out the vibrant tech community on one of the world's
> most
>         engaging tech sites, Slashdot.org! http://sdm.link/slashdot
>         _______________________________________________
>         Inkscape-devel mailing list
>         [hidden email]
>         <mailto:[hidden email]>
>         https://lists.sourceforge.net/lists/listinfo/inkscape-devel
>
>
>
>
---------------------------------------------------------------------
---------

> Check out the vibrant tech community on one of the world's most
> engaging tech sites, Slashdot.org! http://sdm.link/slashdot
>
>
>
> _______________________________________________
> Inkscape-devel mailing list
> [hidden email]
> https://lists.sourceforge.net/lists/listinfo/inkscape-devel
>

---------------------------------------------------------------------
---------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Inkscape-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/inkscape-devel
---------------------------------------------------------------------
---------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Inkscape-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/inkscape-devel
---------------------------------------------------------------------
---------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Inkscape-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/inkscape-devel
---------------------------------------------------------------------
---------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Inkscape-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/inkscape-devel
------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Inkscape-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/inkscape-devel

signature.asc (849 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: Trouble installing the development environment

Antonio Ospite
In reply to this post by Marién Soria
On Wed, 25 Jul 2018 12:57:42 -0300
Marién Soria <[hidden email]> wrote:

> *grep 'deb ' /etc/apt/sources.list*

Well, but what about deb-src?
This grep  command does not tell us the whole story.

BTW see also the comments below.

> # deb cdrom:[Ubuntu 16.04 LTS _Xenial Xerus_ - Release amd64 (20160420.1)]/
> xenial main restricted
> deb http://br.archive.ubuntu.com/ubuntu/ xenial main restricted
> deb http://br.archive.ubuntu.com/ubuntu/ xenial-updates main restricted
> deb http://br.archive.ubuntu.com/ubuntu/ xenial universe
> deb http://br.archive.ubuntu.com/ubuntu/ xenial-updates universe
> deb http://br.archive.ubuntu.com/ubuntu/ xenial multiverse
> deb http://br.archive.ubuntu.com/ubuntu/ xenial-updates multiverse
> deb http://br.archive.ubuntu.com/ubuntu/ xenial-backports main restricted
> universe multiverse
> # deb http://archive.canonical.com/ubuntu xenial partner
> deb http://security.ubuntu.com/ubuntu xenial-security main restricted
> deb http://security.ubuntu.com/ubuntu xenial-security universe
> deb http://security.ubuntu.com/ubuntu xenial-security multiverse
> deb https://cli-assets.heroku.com/branches/stable/apt ./
>
> -----------------------------------------
> *apt-cache showsrc inkscape*
> E: You must provide some URIs to the source.list
>

Newer apt versions give a better error:

        E: You must put some 'source' URIs in your sources.list

And here is a possible solution:
https://askubuntu.com/questions/496549/error-you-must-put-some-source-uris-in-your-sources-list

As mentioned by others, after adding the 'deb-src' URIs this
command will work:

        apt-get build-depend inkscape

and will bring in all the build dependencies as per the debian package.

Ciao,
   Antonio

--
Antonio Ospite
https://ao2.it
https://twitter.com/ao2it

A: Because it messes up the order in which people normally read text.
   See http://en.wikipedia.org/wiki/Posting_style
Q: Why is top-posting such a bad thing?

------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Inkscape-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/inkscape-devel
Reply | Threaded
Open this post in threaded view
|

Re: Trouble installing the development environment

Maren Hachmann
In reply to this post by Marién Soria
Hi Marién,

open a terminal, then navigate to your desktop folder (cd ~/Desktop ,
but probably you need to replace 'Desktop' by the Spanish version of
that word). There, yuo need to run

./Ink_master

(if you have compiled the master branch, that is, else it's
./Ink_<branch_name>).

Let me know if that works.

Maren

Am 26.07.2018 um 07:26 schrieb Marién Soria:

> Maren that plugin works great! Thanks and Congrats, it's a nice work!
> I think it's important to include a link in the development guide.
> But now, I have another problem: the init file on the desktop area did't
> work on Unity, like you mention in the plugin guide. Witch file I have
> to execute from the folder?
>
>
> El jul 25, 2018 5:03 PM, "Maren Hachmann" <[hidden email]
> <mailto:[hidden email]>> escribió:
>
>     Maybe you want to try this:
>
>     https://gitlab.com/Moini/make_ink
>
>     Maren
>
>
>     Am 25.07.2018 um 20:00 schrieb Marién Soria:
>     > Ok guys, now I'm following this another
>     > guide http://wiki.inkscape.org/wiki/index.php/CompilingUbuntu
>     > I need to know if these dependencies are old.
>     >
>     > El mié., 25 de jul. de 2018 a la(s) 12:57, Marién Soria
>     > ([hidden email] <mailto:[hidden email]>
>     <mailto:[hidden email]
>     <mailto:[hidden email]>>) escribió:
>     >
>     >     *grep 'deb ' /etc/apt/sources.list*
>
>     >     # deb cdrom:[Ubuntu 16.04 LTS _Xenial Xerus_ - Release amd64
>     >     (20160420.1)]/ xenial main restricted
>     >     deb http://br.archive.ubuntu.com/ubuntu/ xenial main restricted
>     >     deb http://br.archive.ubuntu.com/ubuntu/ xenial-updates main
>     restricted
>     >     deb http://br.archive.ubuntu.com/ubuntu/ xenial universe
>     >     deb http://br.archive.ubuntu.com/ubuntu/ xenial-updates universe
>     >     deb http://br.archive.ubuntu.com/ubuntu/ xenial multiverse
>     >     deb http://br.archive.ubuntu.com/ubuntu/ xenial-updates multiverse
>     >     deb http://br.archive.ubuntu.com/ubuntu/ xenial-backports main
>     >     restricted universe multiverse
>     >     # deb http://archive.canonical.com/ubuntu xenial partner
>     >     deb http://security.ubuntu.com/ubuntu xenial-security main
>     restricted
>     >     deb http://security.ubuntu.com/ubuntu xenial-security universe
>     >     deb http://security.ubuntu.com/ubuntu xenial-security multiverse
>     >     deb https://cli-assets.heroku.com/branches/stable/apt ./
>     >
>     >     -----------------------------------------
>     >     *apt-cache showsrc inkscape*
>
>     >     E: You must provide some URIs to the source.list
>     >
>     >
>     >
>     >     El mar., 24 de jul. de 2018 a la(s) 10:28, Antonio Ospite
>     >     ([hidden email] <mailto:[hidden email]> <mailto:[hidden email]
>     <mailto:[hidden email]>>) escribió:
>
>     >
>     >         On Tue, 24 Jul 2018 04:26:26 -0700
>     >         ian_bruce--- via Inkscape-devel
>     >         <[hidden email]
>     <mailto:[hidden email]>
>     >         <mailto:[hidden email]
>     <mailto:[hidden email]>>>
>
>     >         wrote:
>     >
>     >         > On Tue, 24 Jul 2018 12:40:01 +0200
>     >         > Marc Jeanmougin <[hidden email]
>     <mailto:[hidden email]>
>     >         <mailto:[hidden email] <mailto:[hidden email]>>>
>     wrote:
>     >         >
>     >         > > I think you should add the deb-src lines to sources.list
>     >         >
>     >         > Is that really necessary? Presumably, the various "-dev"
>     >         packages are
>     >         > what's needed for compilation.
>     >         >
>     >         >
>     >         >     $ grep deb-src /etc/apt/sources.list
>     >         >     deb-src   http://ftp.us.debian.org/debian/   stable 
>          
>     >            main
>     >         >     deb-src   http://ftp.us.debian.org/debian/ 
>      testing     
>     >             main
>     >         >     deb-src   http://ftp.us.debian.org/debian/ 
>      unstable     
>     >            main
>     >         >     deb-src   http://ftp.us.debian.org/debian/ 
>      experimental 
>     >            main
>     >         >     deb-src   http://ftp.us.debian.org/debian/ 
>     >          stable-updates   main
>     >         >     deb-src   http://security.debian.org/       
>     >         stable/updates   main
>     >         >
>     >
>     >         As you know deb-src repositories are for sources of Debian
>     >         packages, not
>     >         for sources of upstream software.
>     >
>     >         In theory `apt-get build-depend` should not require any source
>     >         Debian
>     >         packages, but it surely needs the info about the
>     "inkscape" source
>     >         package, maybe this is why deb-src repositories are necessary.
>     >
>     >         What does "apt-cache showsrc inkscape" tell when no
>     deb-src URLs are
>     >         configured?
>     >
>     >         Moreover, AFAIU, it also happens that some packages
>     build-depend on
>     >         other "source packages" instead of the single -dev ones,
>     just for a
>     >         matter of convenience.
>     >
>     >         That said, in any case be sure of two things:
>     >           1. always have an update package cache (apt-get update)
>     >           2. check that having multiple debian releases (stable,
>     testing,
>     >              unstable) at the same time do not result in conflicts. If
>     >         these are
>     >              _really_ needed set up pinning appropriately (man
>     >         apt_preferences).
>     >
>     >         Ciao,
>     >            Antonio
>     >
>     >         --
>     >         Antonio Ospite
>     >         https://ao2.it
>     >         https://twitter.com/ao2it
>     >
>     >         A: Because it messes up the order in which people normally
>     read
>     >         text.
>     >            See http://en.wikipedia.org/wiki/Posting_style
>     >         Q: Why is top-posting such a bad thing?
>     >
>     >       
>      ------------------------------------------------------------------------------
>     >         Check out the vibrant tech community on one of the world's
>     most
>     >         engaging tech sites, Slashdot.org! http://sdm.link/slashdot
>     >         _______________________________________________
>     >         Inkscape-devel mailing list
>     >         [hidden email]
>     <mailto:[hidden email]>
>     >         <mailto:[hidden email]
>     <mailto:[hidden email]>>
>     >         https://lists.sourceforge.net/lists/listinfo/inkscape-devel
>
>     >
>     >
>     >
>     >
>     ------------------------------------------------------------------------------
>     > Check out the vibrant tech community on one of the world's most
>     > engaging tech sites, Slashdot.org! http://sdm.link/slashdot
>     >
>     >
>     >
>     > _______________________________________________
>     > Inkscape-devel mailing list
>     > [hidden email]
>     <mailto:[hidden email]>
>     > https://lists.sourceforge.net/lists/listinfo/inkscape-devel
>     >
>
>
>     ------------------------------------------------------------------------------
>     Check out the vibrant tech community on one of the world's most
>     engaging tech sites, Slashdot.org! http://sdm.link/slashdot
>     _______________________________________________
>     Inkscape-devel mailing list
>     [hidden email]
>     <mailto:[hidden email]>
>     https://lists.sourceforge.net/lists/listinfo/inkscape-devel
>
>


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Inkscape-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/inkscape-devel
Reply | Threaded
Open this post in threaded view
|

Re: Trouble installing the development environment

Maren Hachmann
In reply to this post by Jabier Arraiza
Yes. It will pull the selected branch, and if there is a new commit, it
will create a new deb package for it.

Yes, it's going to create a separate preferences and installation
folder, and will install each Inkscape branch as a different program.

It is important to start each Inkscape program by running the start
script (so it can set the environment variable for the prefs correctly),
else it will mess with extension, icon, and preferences file versions.

Yes, it can be used for any branch that is in the official Inkscape
repo, you just need to indicate the branch name on the command line.

Maren



Am 26.07.2018 um 11:37 schrieb Jabier Arraiza:

> @Moini: The script support source code update if you rerun the script?
>
> Regards, Jabier.
>
> -----Original Message-----
> From: Jabier Arraiza <[hidden email]>
> Reply-To: [hidden email]
> To: Marién Soria <[hidden email]>, Maren Hachmann <maren@goo
> s-habermann.de>
> Cc: Inkscape-Devel <[hidden email]>
> Subject: Re: [Inkscape-devel] Trouble installing the development
> environment
> Date: Thu, 26 Jul 2018 09:13:59 +0200
>
> I see inside :)
> Thanks for the script.
>
> -----Original Message-----
> From: Jabier Arraiza <[hidden email]>
> Reply-To: [hidden email]
> To: Marién Soria <[hidden email]>, Maren Hachmann <maren@goo
> s-habermann.de>
> Cc: Inkscape-Devel <[hidden email]>
> Subject: Re: [Inkscape-devel] Trouble installing the development
> environment
> Date: Thu, 26 Jul 2018 09:10:28 +0200
>
> Moini this script create a custom folder and can be used with 0.92
> together?
>
> Regards.
>
> -----Original Message-----
> From: Marién Soria <[hidden email]>
> To: Maren Hachmann <[hidden email]>
> Cc: Inkscape-Devel <[hidden email]>
> Subject: Re: [Inkscape-devel] Trouble installing the development
> environment
> Date: Thu, 26 Jul 2018 02:26:12 -0300
>
> Maren that plugin works great! Thanks and Congrats, it's a nice work!
> I think it's important to include a link in the development guide.
> But now, I have another problem: the init file on the desktop area
> did't
> work on Unity, like you mention in the plugin guide. Witch file I have
> to
> execute from the folder?
>
> El jul 25, 2018 5:03 PM, "Maren Hachmann" <[hidden email]>
> escribió:
>
> Maybe you want to try this:
>
> https://gitlab.com/Moini/make_ink
>
> Maren
>
>
> Am 25.07.2018 um 20:00 schrieb Marién Soria:
>> Ok guys, now I'm following this another
>> guide http://wiki.inkscape.org/wiki/index.php/CompilingUbuntu
>> I need to know if these dependencies are old.
>>
>> El mié., 25 de jul. de 2018 a la(s) 12:57, Marién Soria
>> ([hidden email] <mailto:[hidden email]>)
>> escribió:
>>
>>     *grep 'deb ' /etc/apt/sources.list*
>>     # deb cdrom:[Ubuntu 16.04 LTS _Xenial Xerus_ - Release amd64
>>     (20160420.1)]/ xenial main restricted
>>     deb http://br.archive.ubuntu.com/ubuntu/ xenial main restricted
>>     deb http://br.archive.ubuntu.com/ubuntu/ xenial-updates main
>
> restricted
>>     deb http://br.archive.ubuntu.com/ubuntu/ xenial universe
>>     deb http://br.archive.ubuntu.com/ubuntu/ xenial-updates universe
>>     deb http://br.archive.ubuntu.com/ubuntu/ xenial multiverse
>>     deb http://br.archive.ubuntu.com/ubuntu/ xenial-updates
>> multiverse
>>     deb http://br.archive.ubuntu.com/ubuntu/ xenial-backports main
>>     restricted universe multiverse
>>     # deb http://archive.canonical.com/ubuntu xenial partner
>>     deb http://security.ubuntu.com/ubuntu xenial-security main
>> restricted
>>     deb http://security.ubuntu.com/ubuntu xenial-security universe
>>     deb http://security.ubuntu.com/ubuntu xenial-security multiverse
>>     deb https://cli-assets.heroku.com/branches/stable/apt ./
>>
>>     -----------------------------------------
>>     *apt-cache showsrc inkscape*
>>     E: You must provide some URIs to the source.list
>>
>>
>>
>>     El mar., 24 de jul. de 2018 a la(s) 10:28, Antonio Ospite
>>     ([hidden email] <mailto:[hidden email]>) escribió:
>>
>>         On Tue, 24 Jul 2018 04:26:26 -0700
>>         ian_bruce--- via Inkscape-devel
>>         <[hidden email]
>>         <mailto:[hidden email]>>
>>         wrote:
>>
>>         > On Tue, 24 Jul 2018 12:40:01 +0200
>>         > Marc Jeanmougin <[hidden email]
>>         <mailto:[hidden email]>> wrote:
>>         >
>>         > > I think you should add the deb-src lines to sources.list
>>         >
>>         > Is that really necessary? Presumably, the various "-dev"
>>         packages are
>>         > what's needed for compilation.
>>         >
>>         >
>>         >     $ grep deb-src /etc/apt/sources.list
>>         >     deb-src   http://ftp.us.debian.org/debian/   stable
>>            main
>>         >     deb-src   http://ftp.us.debian.org/debian/   testing
>>             main
>>         >     deb-src   http://ftp.us.debian.org/debian/   unstable
>>            main
>>         >     deb-src   http://ftp.us.debian.org/debian/   experiment
>> al
>>            main
>>         >     deb-src   http://ftp.us.debian.org/debian/
>>          stable-updates   main
>>         >     deb-src   http://security.debian.org/
>>         stable/updates   main
>>         >
>>
>>         As you know deb-src repositories are for sources of Debian
>>         packages, not
>>         for sources of upstream software.
>>
>>         In theory `apt-get build-depend` should not require any
>> source
>>         Debian
>>         packages, but it surely needs the info about the "inkscape"
>> source
>>         package, maybe this is why deb-src repositories are
>> necessary.
>>
>>         What does "apt-cache showsrc inkscape" tell when no deb-src
>> URLs
>
> are
>>         configured?
>>
>>         Moreover, AFAIU, it also happens that some packages build-
>> depend
>
> on
>>         other "source packages" instead of the single -dev ones, just
>> for
>
> a
>>         matter of convenience.
>>
>>         That said, in any case be sure of two things:
>>           1. always have an update package cache (apt-get update)
>>           2. check that having multiple debian releases (stable,
>> testing,
>>              unstable) at the same time do not result in conflicts.
>> If
>>         these are
>>              _really_ needed set up pinning appropriately (man
>>         apt_preferences).
>>
>>         Ciao,
>>            Antonio
>>
>>         --
>>         Antonio Ospite
>>         https://ao2.it
>>         https://twitter.com/ao2it
>>
>>         A: Because it messes up the order in which people normally
>> read
>>         text.
>>            See http://en.wikipedia.org/wiki/Posting_style
>>         Q: Why is top-posting such a bad thing?
>>
>>
>
>  --------------------------------------------------------------------
> ----------
>>         Check out the vibrant tech community on one of the world's
>> most
>>         engaging tech sites, Slashdot.org! http://sdm.link/slashdot
>>         _______________________________________________
>>         Inkscape-devel mailing list
>>         [hidden email]
>>         <mailto:[hidden email]>
>>         https://lists.sourceforge.net/lists/listinfo/inkscape-devel
>>
>>
>>
>>
>
> ---------------------------------------------------------------------
> ---------
>> Check out the vibrant tech community on one of the world's most
>> engaging tech sites, Slashdot.org! http://sdm.link/slashdot
>>
>>
>>
>> _______________________________________________
>> Inkscape-devel mailing list
>> [hidden email]
>> https://lists.sourceforge.net/lists/listinfo/inkscape-devel
>>
>
>
> ---------------------------------------------------------------------
> ---------
> Check out the vibrant tech community on one of the world's most
> engaging tech sites, Slashdot.org! http://sdm.link/slashdot
> _______________________________________________
> Inkscape-devel mailing list
> [hidden email]
> https://lists.sourceforge.net/lists/listinfo/inkscape-devel
> ---------------------------------------------------------------------
> ---------
> Check out the vibrant tech community on one of the world's most
> engaging tech sites, Slashdot.org! http://sdm.link/slashdot
> _______________________________________________
> Inkscape-devel mailing list
> [hidden email]
> https://lists.sourceforge.net/lists/listinfo/inkscape-devel
> ---------------------------------------------------------------------
> ---------
> Check out the vibrant tech community on one of the world's most
> engaging tech sites, Slashdot.org! http://sdm.link/slashdot
> _______________________________________________
> Inkscape-devel mailing list
> [hidden email]
> https://lists.sourceforge.net/lists/listinfo/inkscape-devel
> ---------------------------------------------------------------------
> ---------
> Check out the vibrant tech community on one of the world's most
> engaging tech sites, Slashdot.org! http://sdm.link/slashdot
> _______________________________________________
> Inkscape-devel mailing list
> [hidden email]
> https://lists.sourceforge.net/lists/listinfo/inkscape-devel
>


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Inkscape-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/inkscape-devel
Reply | Threaded
Open this post in threaded view
|

Re: Trouble installing the development environment

Marién Soria
Works Maren! Thanks!

El jue., 26 de jul. de 2018 a la(s) 09:17, Maren Hachmann ([hidden email]) escribió:
Yes. It will pull the selected branch, and if there is a new commit, it
will create a new deb package for it.

Yes, it's going to create a separate preferences and installation
folder, and will install each Inkscape branch as a different program.

It is important to start each Inkscape program by running the start
script (so it can set the environment variable for the prefs correctly),
else it will mess with extension, icon, and preferences file versions.

Yes, it can be used for any branch that is in the official Inkscape
repo, you just need to indicate the branch name on the command line.

Maren



Am 26.07.2018 um 11:37 schrieb Jabier Arraiza:
> @Moini: The script support source code update if you rerun the script?
>
> Regards, Jabier.
>
> -----Original Message-----
> From: Jabier Arraiza <[hidden email]>
> Reply-To: [hidden email]
> To: Marién Soria <[hidden email]>, Maren Hachmann <maren@goo
> s-habermann.de>
> Cc: Inkscape-Devel <[hidden email]>
> Subject: Re: [Inkscape-devel] Trouble installing the development
> environment
> Date: Thu, 26 Jul 2018 09:13:59 +0200
>
> I see inside :)
> Thanks for the script.
>
> -----Original Message-----
> From: Jabier Arraiza <[hidden email]>
> Reply-To: [hidden email]
> To: Marién Soria <[hidden email]>, Maren Hachmann <maren@goo
> s-habermann.de>
> Cc: Inkscape-Devel <[hidden email]>
> Subject: Re: [Inkscape-devel] Trouble installing the development
> environment
> Date: Thu, 26 Jul 2018 09:10:28 +0200
>
> Moini this script create a custom folder and can be used with 0.92
> together?
>
> Regards.
>
> -----Original Message-----
> From: Marién Soria <[hidden email]>
> To: Maren Hachmann <[hidden email]>
> Cc: Inkscape-Devel <[hidden email]>
> Subject: Re: [Inkscape-devel] Trouble installing the development
> environment
> Date: Thu, 26 Jul 2018 02:26:12 -0300
>
> Maren that plugin works great! Thanks and Congrats, it's a nice work!
> I think it's important to include a link in the development guide.
> But now, I have another problem: the init file on the desktop area
> did't
> work on Unity, like you mention in the plugin guide. Witch file I have
> to
> execute from the folder?
>
> El jul 25, 2018 5:03 PM, "Maren Hachmann" <[hidden email]>
> escribió:
>
> Maybe you want to try this:
>
> https://gitlab.com/Moini/make_ink
>
> Maren
>
>
> Am 25.07.2018 um 20:00 schrieb Marién Soria:
>> Ok guys, now I'm following this another
>> guide http://wiki.inkscape.org/wiki/index.php/CompilingUbuntu
>> I need to know if these dependencies are old.
>>
>> El mié., 25 de jul. de 2018 a la(s) 12:57, Marién Soria
>> ([hidden email] <mailto:[hidden email]>)
>> escribió:
>>
>>     *grep 'deb ' /etc/apt/sources.list*
>>     # deb cdrom:[Ubuntu 16.04 LTS _Xenial Xerus_ - Release amd64
>>     (20160420.1)]/ xenial main restricted
>>     deb http://br.archive.ubuntu.com/ubuntu/ xenial main restricted
>>     deb http://br.archive.ubuntu.com/ubuntu/ xenial-updates main
>
> restricted
>>     deb http://br.archive.ubuntu.com/ubuntu/ xenial universe
>>     deb http://br.archive.ubuntu.com/ubuntu/ xenial-updates universe
>>     deb http://br.archive.ubuntu.com/ubuntu/ xenial multiverse
>>     deb http://br.archive.ubuntu.com/ubuntu/ xenial-updates
>> multiverse
>>     deb http://br.archive.ubuntu.com/ubuntu/ xenial-backports main
>>     restricted universe multiverse
>>     # deb http://archive.canonical.com/ubuntu xenial partner
>>     deb http://security.ubuntu.com/ubuntu xenial-security main
>> restricted
>>     deb http://security.ubuntu.com/ubuntu xenial-security universe
>>     deb http://security.ubuntu.com/ubuntu xenial-security multiverse
>>     deb https://cli-assets.heroku.com/branches/stable/apt ./
>>
>>     -----------------------------------------
>>     *apt-cache showsrc inkscape*
>>     E: You must provide some URIs to the source.list
>>
>>
>>
>>     El mar., 24 de jul. de 2018 a la(s) 10:28, Antonio Ospite
>>     ([hidden email] <mailto:[hidden email]>) escribió:
>>
>>         On Tue, 24 Jul 2018 04:26:26 -0700
>>         ian_bruce--- via Inkscape-devel
>>         <[hidden email]
>>         <mailto:[hidden email]>>
>>         wrote:
>>
>>         > On Tue, 24 Jul 2018 12:40:01 +0200
>>         > Marc Jeanmougin <[hidden email]
>>         <mailto:[hidden email]>> wrote:
>>         >
>>         > > I think you should add the deb-src lines to sources.list
>>         >
>>         > Is that really necessary? Presumably, the various "-dev"
>>         packages are
>>         > what's needed for compilation.
>>         >
>>         >
>>         >     $ grep deb-src /etc/apt/sources.list
>>         >     deb-src   http://ftp.us.debian.org/debian/   stable
>>            main
>>         >     deb-src   http://ftp.us.debian.org/debian/   testing
>>             main
>>         >     deb-src   http://ftp.us.debian.org/debian/   unstable
>>            main
>>         >     deb-src   http://ftp.us.debian.org/debian/   experiment
>> al
>>            main
>>         >     deb-src   http://ftp.us.debian.org/debian/
>>          stable-updates   main
>>         >     deb-src   http://security.debian.org/
>>         stable/updates   main
>>         >
>>
>>         As you know deb-src repositories are for sources of Debian
>>         packages, not
>>         for sources of upstream software.
>>
>>         In theory `apt-get build-depend` should not require any
>> source
>>         Debian
>>         packages, but it surely needs the info about the "inkscape"
>> source
>>         package, maybe this is why deb-src repositories are
>> necessary.
>>
>>         What does "apt-cache showsrc inkscape" tell when no deb-src
>> URLs
>
> are
>>         configured?
>>
>>         Moreover, AFAIU, it also happens that some packages build-
>> depend
>
> on
>>         other "source packages" instead of the single -dev ones, just
>> for
>
> a
>>         matter of convenience.
>>
>>         That said, in any case be sure of two things:
>>           1. always have an update package cache (apt-get update)
>>           2. check that having multiple debian releases (stable,
>> testing,
>>              unstable) at the same time do not result in conflicts.
>> If
>>         these are
>>              _really_ needed set up pinning appropriately (man
>>         apt_preferences).
>>
>>         Ciao,
>>            Antonio
>>
>>         --
>>         Antonio Ospite
>>         https://ao2.it
>>         https://twitter.com/ao2it
>>
>>         A: Because it messes up the order in which people normally
>> read
>>         text.
>>            See http://en.wikipedia.org/wiki/Posting_style
>>         Q: Why is top-posting such a bad thing?
>>
>>
>
>  --------------------------------------------------------------------
> ----------
>>         Check out the vibrant tech community on one of the world's
>> most
>>         engaging tech sites, Slashdot.org! http://sdm.link/slashdot
>>         _______________________________________________
>>         Inkscape-devel mailing list
>>         [hidden email]
>>         <mailto:[hidden email]>
>>         https://lists.sourceforge.net/lists/listinfo/inkscape-devel
>>
>>
>>
>>
>
> ---------------------------------------------------------------------
> ---------
>> Check out the vibrant tech community on one of the world's most
>> engaging tech sites, Slashdot.org! http://sdm.link/slashdot
>>
>>
>>
>> _______________________________________________
>> Inkscape-devel mailing list
>> [hidden email]
>> https://lists.sourceforge.net/lists/listinfo/inkscape-devel
>>
>
>
> ---------------------------------------------------------------------
> ---------
> Check out the vibrant tech community on one of the world's most
> engaging tech sites, Slashdot.org! http://sdm.link/slashdot
> _______________________________________________
> Inkscape-devel mailing list
> [hidden email]
> https://lists.sourceforge.net/lists/listinfo/inkscape-devel
> ---------------------------------------------------------------------
> ---------
> Check out the vibrant tech community on one of the world's most
> engaging tech sites, Slashdot.org! http://sdm.link/slashdot
> _______________________________________________
> Inkscape-devel mailing list
> [hidden email]
> https://lists.sourceforge.net/lists/listinfo/inkscape-devel
> ---------------------------------------------------------------------
> ---------
> Check out the vibrant tech community on one of the world's most
> engaging tech sites, Slashdot.org! http://sdm.link/slashdot
> _______________________________________________
> Inkscape-devel mailing list
> [hidden email]
> https://lists.sourceforge.net/lists/listinfo/inkscape-devel
> ---------------------------------------------------------------------
> ---------
> Check out the vibrant tech community on one of the world's most
> engaging tech sites, Slashdot.org! http://sdm.link/slashdot
> _______________________________________________
> Inkscape-devel mailing list
> [hidden email]
> https://lists.sourceforge.net/lists/listinfo/inkscape-devel
>


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Inkscape-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/inkscape-devel